%define clip_dir %{_datadir}/images/openclipart

Name: clipart-openclipart
Version: 0.18
Release: %mkrel 5
Summary: Open Clip Art Library
License: Public Domain
Group: Graphics
Url: http://www.openclipart.org/
Source: http://www.openclipart.org/downloads/%version/openclipart-%{version}-svgonly.tar.bz2
Source1: clean-up-sources.sh
Buildarch: noarch
BuildRequires: inkscape
BuildRequires: urw-fonts
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
This is a collection of 100% license-free, royalty-free, and
restriction-free art that you can use for whatever purpose you see fit.

Most of the art in this package is in the Scalable Vector Graphic (SVG)
format, which is an XML format approved by the W3C and used in a wide
range of software applications, including Inkscape, Adobe Illustrator,
Batik, and more.

The goal of the Open Clip Art Library is to provide the public with a
huge collection of reusable art for any purpose

For more information, including how you can contribute to this growing
library, please see http://www.openclipart.org/


%prep
%setup -q -n openclipart-%{version}-svgonly

# clean ugly/broken
(cd clipart
 rm -rf ./unsorted
 rm -f	./computer/icons/lemon-theme/devices/automatic \
	./computer/icons/lemon-theme/actions/automatic \
	./computer/icons/lemon-theme/filesystems/automatic \
	./computer/icons/lemon-theme/apps/automatic \
	./computer/icons/lemon-theme/mimetypes/automatic \
	./buildings/perspectival_house_01.* \
	./signs_and_symbols/flags/america/united_states/.usa_hawaii.svg.swp
)

%build
(cd clipart
# build png files (for OOo galleries), taken from OOo's "build-galleries" script
 for pict_svg in `find ./ -name "*.svg" -type f`; do
    pict_dir=${pict_svg#./}
    pict_dir=${pict_dir%/*}
    pict_png=${pict_svg##*/}
    pict_png=${pict_png%.svg}.png
    mkdir -p build/$pict_dir
    echo "Converting $pict_svg to $pict_dir/$pict_png..."
    inkscape -f $pict_svg -e $pict_dir/$pict_png
done
)

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%clip_dir
(cd ./clipart
 tar c ./ | tar x -C $RPM_BUILD_ROOT%{clip_dir}
)

rm -f $RPM_BUILD_ROOT%{clip_dir}/{PASSFAIL,README,TODO}

# remove empty dirs
rm -rf $RPM_BUILD_ROOT%{clip_dir}/build

find $RPM_BUILD_ROOT%{clip_dir} -name '*bat' -type f -exec rm '{}' \;
find $RPM_BUILD_ROOT%{clip_dir} -type f -exec chmod 644 '{}' \;

# clean broken files
install %{SOURCE1} .
chmod +x ./clean-up-sources.sh
DESTDIR=$RPM_BUILD_ROOT ./clean-up-sources.sh %{clip_dir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%clip_dir
%doc README AUTHORS ChangeLog INSTALL LICENSE NEWS


%changelog
* Sat Mar 17 2007 Giuseppe Ghibò <ghibo@mandriva.com> 0.18-5mdv2007.1
+ Revision: 145641
- Added urw-fonts to BuildRequires.
- Rebuilt to provide a clipart release to fix also bug #29568 (previous package stopped .png at animals).
- Added Source1 (from opensuse) to clean broken PNG files.

* Sat Feb 24 2007 Giuseppe Ghibò <ghibo@mandriva.com> 0.18-4mdv2007.1
+ Revision: 125439
- Rebuilt.
- Import clipart-openclipart



* Thu Sep 14 2006 Giuseppe Ghib <ghibo@mandriva.com> 0.18-3mdv2007.0
- Rebuild to force package signing... (bug #21436).

* Thu Jan 26 2006 Giuseppe Ghib <ghibo@mandriva.com> 0.18-2mdk
- Removed empty dirs in %{clip_dir}/build.

* Mon Jan 02 2006 Giuseppe Ghib <ghibo@mandriva.com> 0.18-1mdk
- Release 0.18.

* Mon Sep 12 2005 Giuseppe Ghib <ghibo@mandriva.com> 0.17-2mdk
- Bigger .png files for galleries converted using inkscape.

* Sat Sep 10 2005 Giuseppe Ghib <ghibo@mandriva.com> 0.17-1mdk
- Release 0.17.

* Mon Jul 11 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.15-1mdk
- New release 0.15

* Tue Feb  1 2005 Frederic Lepied <flepied@mandrakesoft.com> 0.10-1mdk
- New release 0.10

* Mon Jan  3 2005 Frederic Lepied <flepied@mandrakesoft.com> 0.09-1mdk
- New release 0.09

* Fri Oct  1 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.06-1mdk
- initial packaging (spec from AltLinux)

* Thu Jul 01 2004 Vitaly Lipatov <lav@altlinux.ru> 0.04-alt1
- first build for Sisyphus
